IRPCClientScript.GetClientScriptApplicationsDetails

View as Markdown

Vault API / standard read session idempotent

Lists the enabled UI extension applications of the new M-Files clients with their modules, files and dashboards.

ServiceClient scripts and UI extension applications MFiles.IRPCClientScript
gRPC method/MFiles.IRPCClientScript/GetClientScriptApplicationsDetails
HTTP (mf-http-grpc)POST /grpc/v1/get-client-script-applications-details
RequestGetClientScriptApplicationsDetailsRequest
ResponseGetClientScriptApplicationsDetailsResponse
Book and levelVault API, standard
Kindread
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetClientScriptApplicationsDetailsRequest

A structure that specifies applications detail request.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
platformExtApplicationPlatformEXT_APPLICATION_PLATFORM_VNEXT or EXT_APPLICATION_PLATFORM_ADMIN.Values: EXT_APPLICATION_PLATFORM_NONE (0), EXT_APPLICATION_PLATFORM_DESKTOP (1), EXT_APPLICATION_PLATFORM_WEB (2), EXT_APPLICATION_PLATFORM_SHARE_POINT_ADD_ON (4), EXT_APPLICATION_PLATFORM_VNEXT (8), EXT_APPLICATION_PLATFORM_MWIDGET (16), EXT_APPLICATION_PLATFORM_ADMIN (32).

Response: GetClientScriptApplicationsDetailsResponse

A structure that specifies applications detail response.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
applications[]repeated ExtApplicationDefThe applications with their modules and dashboards. See ExtApplicationDef.
applications[].applicationExtApplicationThe script application information.
applications[].application.guidstringThe application identifier.
applications[].application.namestringThe application name.
applications[].application.versionstringThe application version (author set).
applications[].application.descriptionstringThe application name.
applications[].application.publisherstringThe application publisher.
applications[].application.is_enabledboolTrue if the application is enabled. Note: this is a user-specific value and is not stored with the application data. Relevant for client applications only.
applications[].application.is_optionalboolTrue if the application is optional (i.e. can be disabled). Relevant for client applications only.
applications[].application.requires_system_accessboolTrue if this application requires system access. Relevant for client applications only.
applications[].application.md5_checksumstringThe application checksum (hash value).
applications[].application.master_applicationstringThe guid for the master application. GUID_NULL if there is no master application.
applications[].application.typeExtApplicationTypeThe application type.Values: EXT_APPLICATION_TYPE_UNSPECIFIED (0), EXT_APPLICATION_TYPE_CLIENT (1), EXT_APPLICATION_TYPE_SERVER (2).
applications[].application.is_multi_server_compatibleboolIndicates if application has been designed to work in multi-server environment.
applications[].application.published_atgoogle.protobuf.TimestampPublishing date. Zero values if date has not been defined.
applications[].application.platformsint32The binary value of the application platfroms supported.
applications[].application.vault_app_dependencies[]repeated VaultApplicationDependencyVault application dependencies.
applications[].application.is_signed_and_verifiedboolTrue if the application is signed and has been verified.
applications[].application.hot_swappableboolTrue if the application can be deployed without vault restart. Applicable for server-side vault applications only.
applications[].modules[]repeated ExtAppModuleDefThe script application modules and files.
applications[].modules[].application_guidstringThe application identifier.
applications[].modules[].script_engineExtAppEngineThe script engine that can run this module.Values: EXT_APP_ENGINE_UNKNOWN (0), EXT_APP_ENGINE_SHELL_UI (1), EXT_APP_ENGINE_VAULT_UI (2), EXT_APP_ENGINE_VAULT_CORE (3).
applications[].modules[].application_pathstringPath to the application folder.
applications[].modules[].module_namestringThe module name.
applications[].modules[].script_engine_definitionstringThe engine defintion for script engine that runs this module.
applications[].modules[].event_priorityint32The event priority for this module.
applications[].modules[].fast_browsing_compatibleboolTells if the module is fast-browsing compatible. Effective only for shellui modules.
applications[].modules[].files[]repeated stringArray of file names (String). Relative to the application path.
applications[].modules[].sandbox_attributesstringThe sandbox attributes.
applications[].dashboards[]repeated ExtAppDashboardDefThe script application dashboards.
applications[].dashboards[].application_guidstringThe application identifier.
applications[].dashboards[].dashboard_idstringThe dashboard ID.
applications[].dashboards[].application_pathstringPath to the application folder.
applications[].dashboards[].dashboard_namestringThe dashboard name.
applications[].dashboards[].content_filestringThe initial content file for the dashboard. Relative to the application path.
applications[].dashboards[].event_priorityint32The event priority for this dashboard.
applications[].dashboards[].trusted_content_urls[]repeated stringArray of trusted contents (String).
applications[].dashboards[].internal_appboolTrue if the application is launched as an internal application. This relaxes some validations.
applications[].dashboards[].allow_text_selectionboolTrue to allow text selection in browser.
applications[].dashboards[].icon_pathstringPath to application's icon.
applications[].dashboards[].icon_selected_pathstringPath to application's icon when it is selected.
applications[].dashboards[].sandbox_attributesstringThe sandbox attributes.